import { Subscription } from '../../../../types';
export declare class ScSubscription {
  el: HTMLScSubscriptionsListElement;
  /** Customer id to fetch subscriptions */
  subscriptionId: string;
  showCancel: boolean;
  heading: string;
  query: object;
  subscription: Subscription;
  /** Loading state */
  loading: boolean;
  /**  Busy state */
  busy: boolean;
  /** Error message */
  error: string;
  componentWillLoad(): void;
  cancelPendingUpdate(): Promise<void>;
  /** Get all subscriptions */
  getSubscription(): Promise<void>;
  renderName(subscription: Subscription): string;
  renderRenewalText(subscription: any): any;
  renderEmpty(): any;
  renderLoading(): any;
  renderContent(): any;
  render(): any;
}
